#include "ilua.h"
#include "instancevars.h"

lua_State *GL=NULL; 

void ilua_startlua(void){
	lua_State *L=lua_open();
	luaL_openlibs(L);
	GL=L;
}

void ilua_output(char *a){
	[ilua_outputview setEditable:YES];
	[ilua_outputview insertText: [NSString stringWithUTF8String:a]];
	[ilua_outputview setEditable:NO];
}

void ilua_runcode(char *source){
	int error;
	luaL_openlibs(GL);
	error = luaL_loadbuffer(GL, source, strlen(source), "=input") || lua_pcall(GL, 0, 0, 0);
	
	if (error) {
		ilua_output(lua_tostring(GL, -1));
		lua_pop(GL, 1);
	}
}